Bug 503431 - cannot redirect sound because /dev/dsp not found
cannot redirect sound because /dev/dsp not found
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
: 548617 639639 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-31 21:41 EDT by James Ralston
Modified: 2010-12-02 15:58 EST (History)
23 users (show)

See Also:
Fixed In Version: rdesktop-1.6.0-9.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-28 15:43:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to enable pulseaudio support (45.30 KB, text/plain)
2009-06-10 17:56 EDT, Felix Möller
no flags Details
Patch to rdekstop spec file to enable alsa sound (648 bytes, patch)
2009-09-25 09:50 EDT, Andrew Rechenberg
no flags Details | Diff

  None (edit)
Description James Ralston 2009-05-31 21:41:47 EDT
host.example.org is running Windows XP SP3.  From my laptop (running Fedora 11 Preview):

$ rdesktop -g 1024x768 -r sound -x lan host.example.org
Autoselected keyboard map en-us
WARNING: Remote desktop does not support colour depth 24; falling back to 16
/dev/dsp: No such file or directory
WARNING: no working audio-driver found

With Fedora 10, this worked properly.

I can work around this by using padsp, but it would be better if rdesktop supported pulseaudio natively.

Versions:

0:rdesktop-1.6.0-4.fc11.x86_64
Comment 1 Bug Zapper 2009-06-09 12:54:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Felix Möller 2009-06-10 17:12:29 EDT
Same problem here.
Comment 3 Felix Möller 2009-06-10 17:56:57 EDT
Created attachment 347299 [details]
patch to enable pulseaudio support

I got the patch from http://www.csg.is.titech.ac.jp/~tadokoro/rdesktop/index.html. I had to delete one hunk of it as it tried to patch configure which is generated from configure.ac otherwise it is unmodified.

It works for me.
Comment 4 Felix Möller 2009-06-10 18:02:08 EDT
I am not yet used to the redhat bugzilla. CCing Lennart anyways as I think he knows best about PA.
Sorry if this is the wrong way.
Comment 5 Lennart Poettering 2009-06-11 09:56:01 EDT
/dev/dsp (OSS) has long been an obsolete interface on Linux. In F11 we have disabled kernel support for it. You can reenable it by hacking the modprobe blacklist.

Applications really need to get fixed to use ALSA however.
Comment 6 James Ralston 2009-06-11 11:46:37 EDT
Lennart, is there any reason why applications shouldn't use pulseaudio directly?

I mean, if an application is already using alsa-lib, then I don't see why it would be necessary to rewrite it to use pulseaudio (as pulseaudio supports the ALSA userland libraries via alsa-plugins-pulseaudio). But for an application that currently supports neither ALSA nor pulseaudio, is there any reason to prefer adding ALSA support versus adding pulseaudio support directly?

(If not, then the patch that Felix attached in comment 3 would seem to be the way to go...)
Comment 7 Lennart Poettering 2009-06-15 12:46:50 EDT
The native PA API is a bit complex due to its fully asynchronous nature. That's why I never posted a blanket request for all apps to be ported over to it. 

So, in the long run what I suggest is that an additional high-level PCM library is created that is less hardware-bound than alsa, but less hard to use then libpulse. i.e. consider libpulse the xlib for audio, and then this new library the libgtk. If you understand what I mean. In fact I started to work on that a while back with support with a couple of community people.

Existing software that already has a pluggable backend should of course gain a new native PA backend, just to avoid stacking of countless numbers of abstraction levels. But if you write an app right now and don't want to think about writing your own pluggable backend system (and rightly so) the best option is to stick to the portable subset of the ALSA API, and not libpulse.
Comment 8 Felix Möller 2009-06-15 13:46:34 EDT
Then this issue seems to be a duplicate of bug #457184. There is supposed to be alsa support in rdesktop which is just maybe just not enabled (see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507654).

Ubuntu is using rdesktop with alsa since 2008. https://bugs.launchpad.net/ubuntu/+source/rdesktop/+bug/231997
Comment 9 Michael Stahnke 2009-07-27 15:47:10 EDT
Any update on this?  More impacted users...
Comment 10 Robert Hoekstra 2009-07-28 04:31:23 EDT
The proposed patch does not seem to work on my system, F11 i386, using src rpm rdesktop-1.6.0-4.fc11.src.rpm

I still get '/dev/dsp: No such file or directory'
Comment 11 wmg 2009-09-25 01:44:28 EDT
hi Sandmann,


just enable the alsa support in rdesktop 1.6 is fine, this works for me,
here's the diff of the spec file:

[wenming@wmg SPECS]$ diff rdesktop.wmg.spec rdesktop.spec 
3c3
< Release:        4.1%{?dist}
---
> Release:        4%{?dist}
23c23
< %configure --with-ipv6 --with-sound=alsa
---
> %configure --with-ipv6
Comment 12 Andrew Rechenberg 2009-09-25 09:50:22 EDT
Created attachment 362676 [details]
Patch to rdekstop spec file to enable alsa sound

This patch adds the additional BuildRequires and configure options to the rdesktop spec file so that rdesktop has ALSA sound support.  SRPM builds fine in a private koji instance for F11.
Comment 13 EMR_Fedora 2009-11-04 16:45:46 EST
Is there going to be an RPM released with this fix in it? If not, where can I get the modified SRPM. Please note that compiling the official version of rdesktop with alsa support does not work on my system.
Comment 14 EMR_Fedora 2009-11-04 16:57:29 EST
Please note that the latest SRC rpm rebuilt on F11 is also broken: rdesktop-1.6.0-7.fc12.src.rpm

Command: sudo rpmbuild --rebuild rdesktop-1.6.0-7.fc12.src.rpm
then rpm -Fvh ~/rpmbuild/RPMS/i586/rdesktop-1.6.0-7.fc11.i586.rpm

Now the audio is scratchy.
Comment 15 rob 2009-11-23 12:15:11 EST
This bug is still present in F12 as well.
Comment 16 Zhenyu 2009-12-03 23:43:17 EST
Hi All

A bad but feasible method:
 
$ mknod /dev/dsp c 14 3
$ chgrp USER /dev/dsp
$ echo "mknod /dev/dsp c 14 3"  >> /etc/rc.local
$ echo "chgrp USER /dev/dsp"  >> /etc/rc.local

Rain
Comment 17 Russell Harrison 2009-12-10 13:07:54 EST
(In reply to comment #16)
Still not a good solution but a short term workaround until an update hits the repos.

$ sudo modprobe snd-pcm-oss
Comment 18 Zhenyu 2009-12-10 22:15:52 EST
Thank you rharrison@fedoraproject.org

It's worked.I have done the following.

$ modprobe snd-pcm-oss

$ vi /etc/modprobe.d/dist-oss.conf 
Uncomment "install snd-pcm /sbin/modprobe --ignore-install snd-pcm && /sbin/modprobe snd-pcm-oss && /sbin/modprobe snd-seq-device && /sbin/modprobe snd-seq-oss"
Comment 19 Dan O'Brien 2010-01-27 10:15:23 EST
Can't this be fixed in F12 going forward?  Still tries to connect to /dev/dsp!
Comment 20 Dan O'Brien 2010-01-27 10:34:57 EST
(In reply to comment #19)
> Can't this be fixed in F12 going forward?  Still tries to connect to /dev/dsp!    

I just recompiled rdesktop using the SPEC changes above and it worked fine. PLEASE, someone do this for the release!
Comment 21 Felix Möller 2010-01-27 10:43:42 EST
Looking at comment #11 the solution, is not too intrusive. The patch I added in comment #3 does work too.

I have no idea what to do about this bug, while googeling I came about http://fedoraproject.org/wiki/PackageMaintainers/Policy/NonResponsiveMaintainers .... 

@Sören Sandmann: are you looking into this issue?

Does somebody else know how to proceed?
Comment 22 Dan O'Brien 2010-01-27 11:34:39 EST
(In reply to comment #21)

> I have no idea what to do about this bug, while googeling I came about
> http://fedoraproject.org/wiki/PackageMaintainers/Policy/NonResponsiveMaintainers
> .... 
> 
> @Sören Sandmann: are you looking into this issue?
> 
> Does somebody else know how to proceed?    

The maintainer has NEVER answered this bug.  We need to proceed to the next steps in the escalation path:

    *  File a bug against the package in bugzilla asking for the maintainer to respond (after checking if the maintainer is on Vacation ).
    * After every 7 days, the reporter adds a comment to the bug report for each unsuccessful attempt to contact.
    * After 2 attempts of no contact, the reporter asks if anyone knows how to contact the maintainer.
    * After another 7 days, the reporter posts a formal request to the fedora-devel list with the bug link.
    * If at least one FESco member approves the takeover and no one objects within 3 days, the requester may take over the package. If the requester is a not an existing Fedora contributor, they may still take over the package. Once approval has been given, follow PackageMaintainers/CVSAdminProcedure to have ownership of the package changed. In addition to this, the new owner must also reassign any open bugs on that package to themselves. 

===

So, does anyone know how to contact the maintainer (step 3)?
Comment 23 Steve Snyder 2010-03-20 08:05:12 EDT
Ping?
Comment 24 Dan Bolser 2010-04-26 11:48:56 EDT
Ping ping?
Comment 25 Bug Zapper 2010-04-27 10:36:06 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2010-07-30 06:40:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Jerry Amundson 2010-09-01 23:59:13 EDT
My assumption is that the Assigned To here is either,
1. Deceased, or
2. Not interested.
Comment 28 Dan Bolser 2010-09-02 03:55:28 EDT
We have a patch right? It's just a matter of getting it approved and into the repo?
Comment 29 Felix Möller 2010-09-02 13:31:48 EDT
As shown in comment #11 you just need to pass a configure option.

I have given up on anybody carying about rdesktop. It is quite unmaintained upstream and at Fedora. Have a look at xfreerdp it is the way to go I think.
Comment 30 Jerry Amundson 2010-09-02 13:36:06 EDT
Or,
3. Assigned To is busy, and has other priorities!

My apologies for the earlier remark - I have bugs with no activity for months and assumed otherwise. But I see updates by sandmann@redhat.com as recently as 2010-08-24 09:11:27 EDT.

I'll try to help by marking duplicates. Sorry for the noise.
Comment 31 Dan Bolser 2010-09-02 14:44:29 EDT
yumdownloader rdesktop --source
Loaded plugins: fastestmirror, priorities
Enabling epel-source repository
epel-source                                              | 2.9 kB     00:00     
epel-source/primary_db                                   | 811 kB     00:00     
No source RPM found for rdesktop-1.6.0-3.i386
Nothing to download

:(
Comment 32 Dominik 'Rathann' Mierzejewski 2010-11-17 17:41:06 EST
*** Bug 548617 has been marked as a duplicate of this bug. ***
Comment 33 Dominik 'Rathann' Mierzejewski 2010-11-17 18:27:03 EST
Hi all. I'm not the new maintainer (yet), but I care a bit about rdesktop.

I saw an open issue tracker entry upstream: http://sourceforge.net/tracker/?func=detail&aid=3006901&group_id=24366&atid=381349 with a request to add pulseaudio support. I'd suggest all interested parties to work with upstream on that.

In the meantime, I'll see what I can do to rebuild rdesktop with libao support enabled, which should be enough to solve this issue.
Comment 34 Fedora Update System 2010-11-20 18:16:25 EST
rdesktop-1.6.0-9.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rdesktop-1.6.0-9.fc14
Comment 35 Fedora Update System 2010-11-20 18:16:44 EST
rdesktop-1.6.0-9.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rdesktop-1.6.0-9.fc13
Comment 36 Fedora Update System 2010-11-21 16:52:50 EST
rdesktop-1.6.0-9.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rdesktop'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rdesktop-1.6.0-9.fc14
Comment 37 Christoph Wickert 2010-11-28 05:15:05 EST
*** Bug 639639 has been marked as a duplicate of this bug. ***
Comment 38 Fedora Update System 2010-11-28 15:43:15 EST
rdesktop-1.6.0-9.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 39 Dan O'Brien 2010-11-28 16:01:26 EST
I get these errors:

Autoselected keyboard map en-us
ao_pulse ERROR: Unrecognized channel name "" in channel matrix ""
ao_pulse WARNING: Input channel matrix invalid; ignoring.


rpm -q rdesktop
rdesktop-1.6.0-9.fc14.x86_64
Comment 40 Dan O'Brien 2010-11-28 16:04:11 EST
and when I tried to play remote sound, it crashed with core.

Invoked as:

rdesktop -z -a 16 -x l -P -E -D -r sound -5 -u ME -d DOMAIN -p SECRET -g 1680x1025+0+0 pc
Comment 41 Dan Poler 2010-11-29 09:25:43 EST
Same here:

~$ /usr/bin/rdesktop -5 -u USER -a 24 -g 1280x800 -0 -r sound:local -k en-us -T "Windows XP VM" -x l 192.168.122.46
WARNING: Initializing sound-support failed!
ao_pulse ERROR: Unrecognized channel name "" in channel matrix ""
ao_pulse WARNING: Input channel matrix invalid; ignoring.
ao_pulse ERROR: Unrecognized channel name "" in channel matrix ""
ao_pulse WARNING: Input channel matrix invalid; ignoring.
Segmentation fault (core dumped)

Once inside the VM, Windows XP playing its startup noise caused the first ERROR/WARNING combination, and my adjusting the VM's volume (which causes a noise) caused the second ERROR/WARNING and the crash.

Also noted that -r sound:local:oss was accepted as an option and simply tried to use libao, even though that option is no longer listed in the help screen.
Comment 42 Fedora Update System 2010-11-29 16:30:43 EST
rdesktop-1.6.0-9.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.